Overview | Package | Class
| CFML Twilio Library 1.0
FRAMES

## TwilioLib.classes
Class RESTResponse

    WEB-INF.cftags.component
            twilio.classes.RESTResponse

    public class RESTResponse

extends WEB-INF.cftags.component

Constructor Summary
`init([any RequestObj], [struct Response])`

Method Summary
`string` | `asString()` Return the response as a string
`struct` | `dump()`
`string` | `getContentLength()`
`string` | `getContentType()`
`string` | `getETag()`
`string` | `getLastModified()`
`string` | `getStatusCode()`
`string` | `getStatusText()`
`any` | `output()` Return the response as represented by the CFML engine
`struct` | `raw()` Returns the complete raw HTTP response
`boolean` | `wasSuccessful()` Indicate whether the request was successful or not

Methods inherited from class WEB-INF.cftags.component
``

Constructor Detail

### init

`public init([any RequestObj], [struct Response])`

  Parameters:
    `RequestObj`
    `Response`

Method Detail

### asString

`public string asString()`

  Return the response as a string.

### dump

`public struct dump()`

### getContentLength

`public string getContentLength()`

### getContentType

`public string getContentType()`

### getETag

`public string getETag()`

### getLastModified

`public string getLastModified()`

### getStatusCode

`public string getStatusCode()`

### getStatusText

`public string getStatusText()`

### output

`public any output()`

  Return the response as represented by the CFML engine.

### raw

`public struct raw()`

  Returns the complete raw HTTP response.

### wasSuccessful

`public boolean wasSuccessful()`

  Indicate whether the request was successful or not.

Overview | Package | Class
| CFML Twilio Library 1.0
FRAMES